Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Interface EndpointBuilder

All Superinterfaces:
  Cloneable, MuleContextAware

All Known Implementing Classes:
  AbstractEndpointBuilder, AbstractEndpointFactoryBean, AbstractMetaEndpointBuilder, AtomEndpointBuilder, AtomInboundEndpointFactoryBean, CxfEndpointBuilder, EndpointURIEndpointBuilder, InboundEndpointFactoryBean, OutboundEndpointFactoryBean, PollInboundEndpointFactoryBean, PollingMessageSourceFactoryBean, RssEndpointBuilder, RssInboundEndpointFactoryBean, WsdlCxfEndpointBuilder

    public interface EndpointBuilder

extends MuleContextAware, Cloneable

Constructs endpoints. Transport specific endpoints can easily resolve the Endpoint implementation to be uses, for generic endpoints we can either resolve the transport from uri string or use a default implementation.

Method Summary
`void` | `addMessageProcessor(MessageProcessor messageProcessor)`
`void` | `addResponseMessageProcessor(MessageProcessor responseMessageProcessor)`
`void` | `addResponseTransformer(Transformer transformer)` Deprecated. Use addResponseMessageProcessor()
`void` | `addTransformer(Transformer transformer)` Deprecated. Use addMessageProcessor()
`InboundEndpoint` | `buildInboundEndpoint()` Constructs inbound endpoints
`OutboundEndpoint` | `buildOutboundEndpoint()` Constructs outbound endpoints
`Object` | `clone()`
`void` | `setConnector(Connector connector)`
`void` | `setDeleteUnacceptedMessages(boolean deleteUnacceptedMessages)`
`void` | `setDisableTransportTransformer(boolean disableTransportTransformer)`
`void` | `setEncoding(String encoding)`
`void` | `setExchangePattern(MessageExchangePattern mep)`
`void` | `setInitialState(String initialState)`
`void` | `setMessageProcessors(List<MessageProcessor> messageProcessors)`
`void` | `setMuleContext(MuleContext muleContext)`
`void` | `setName(String name)`
`void` | `setProperties(Map<Object,Object> properties)`
`void` | `setProperty(Object key, Object value)`
`void` | `setRegistryId(String registryId)`
`void` | `setResponseMessageProcessors(List<MessageProcessor> responseMessageProcessors)`
`void` | `setResponseTimeout(int responseTimeout)`
`void` | `setResponseTransformers(List<Transformer> responseTransformer)` Deprecated. Use setResponseMessageProcessors()
`void` | `setRetryPolicyTemplate(RetryPolicyTemplate retryPolicyTemplate)`
`void` | `setTransactionConfig(TransactionConfig transactionConfig)`
`void` | `setTransformers(List<Transformer> transformers)` Deprecated. Use setMessageProcessors()
`void` | `setURIBuilder(URIBuilder URIBuilder)`

Method Detail

### buildInboundEndpoint

    InboundEndpoint buildInboundEndpoint()
                                         throws EndpointException,
                                                InitialisationException

  Constructs inbound endpoints

  Throws:
    `EndpointException`
    `InitialisationException`

### buildOutboundEndpoint

    OutboundEndpoint buildOutboundEndpoint()
                                           throws EndpointException,
                                                  InitialisationException

  Constructs outbound endpoints

  Throws:
    `EndpointException`
    `InitialisationException`

### setConnector

    void setConnector(Connector connector)

### addTransformer

    void addTransformer(Transformer transformer)

  Deprecated. Use addMessageProcessor()

### addResponseTransformer

    void addResponseTransformer(Transformer transformer)

  Deprecated. Use addResponseMessageProcessor()

### setTransformers

    void setTransformers(List<Transformer> transformers)

  Deprecated. Use setMessageProcessors()

### setResponseTransformers

    void setResponseTransformers(List<Transformer> responseTransformer)

  Deprecated. Use setResponseMessageProcessors()

### setName

    void setName(String name)

### setProperty

    void setProperty(Object key,
                     Object value)

### setProperties

    void setProperties(Map<Object,Object> properties)

### setTransactionConfig

    void setTransactionConfig(TransactionConfig transactionConfig)

### setDeleteUnacceptedMessages

    void setDeleteUnacceptedMessages(boolean deleteUnacceptedMessages)

### setExchangePattern

    void setExchangePattern(MessageExchangePattern mep)

### setResponseTimeout

    void setResponseTimeout(int responseTimeout)

### setInitialState

    void setInitialState(String initialState)

### setEncoding

    void setEncoding(String encoding)

### setRegistryId

    void setRegistryId(String registryId)

### setMuleContext

    void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### setRetryPolicyTemplate

    void setRetryPolicyTemplate(RetryPolicyTemplate retryPolicyTemplate)

### setMessageProcessors

    void setMessageProcessors(List<MessageProcessor> messageProcessors)

### addMessageProcessor

    void addMessageProcessor(MessageProcessor messageProcessor)

### setResponseMessageProcessors

    void setResponseMessageProcessors(List<MessageProcessor> responseMessageProcessors)

### addResponseMessageProcessor

    void addResponseMessageProcessor(MessageProcessor responseMessageProcessor)

### setDisableTransportTransformer

    void setDisableTransportTransformer(boolean disableTransportTransformer)

### setURIBuilder

    void setURIBuilder(URIBuilder URIBuilder)

### clone

    Object clone()
                 throws CloneNotSupportedException

  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.